Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Noop_Key_Generator< T > Class Template Reference

Defines a noop key generator. More...

`#include <Map_T.h>`

List of all members.

## Public Methods
int | operator() (T &)
| Functor method: generates a new key.

## Detailed Description

### template<class T>
class ACE_Noop_Key_Generator< T >

Defines a noop key generator.

## Member Function Documentation

template<class T>
ACE_INLINE int ACE_Noop_Key_Generator< T >::operator() | ( | T & |  | ) |

| Functor method: generates a new key.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Map_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Map_T.i